## gibraltar-bootcd 0.52

=== Makefile ===
CC = gcc
LDFLAGS = 
CFLAGS = -march=i386 -Os  -fomit-frame-pointer -Wall -W

all: freeramdisk Makefile
#all: freeramdisk listpci listpci.static Makefile

#linuxrc: linuxrc.c
#	$(CC) $(CFLAGS) -o linuxrc linuxrc.c

freeramdisk: freeramdisk.c
	$(CC) $(CFLAGS) -static -o freeramdisk freeramdisk.c

#listpci: listpci.c $(KUDZU_PATH)/libkudzu_loader.a 
#	$(CC) $(CFLAGS) $(LDFLAGS) -D__LOADER \
#        	-o listpci listpci.c -L$(KUDZU_PATH) -I$(KUDZU_PATH) \
#                -lkudzu_loader -L$(LIBPCI_PATH) -lpci -s

#listpci.static: listpci.c $(KUDZU_PATH)/libkudzu_loader.a 
#	$(CC) $(CFLAGS) $(LDFLAGS) -static -D__LOADER \
#        	-o listpci.static listpci.c -L$(KUDZU_PATH) -I$(KUDZU_PATH) \
#                -lkudzu_loader -L$(LIBPCI_PATH) -lpci -s

clean:
	rm -f freeramdisk *~ *.o
	#make -C kudzu clean
