=== debian/changelog ===
gibraltar-bootcd (0.52) unstable; urgency=low

  * Added a build dependency on bzip2 as suggested by Daniel Schepler.
    Thanks to Larz Wirzenius for the patch.
    Closes: #304634: gibraltar-bootcd: FTBFS: Missing Build-Depends
  * Enhanced (read: fixed) support for 2.6 kernels. This involved the adding
    of ide-generic to IDE_CD_MODS, handling of *.ko modules in 
    initrd-common-definitions.sh and new options to busybox during building.
    Many thanks to Thomas Lange for his patches and comments! 
    Closes: #301342: (no subject)
  * Also deal with USB media as super-floppies (i.e. no partitions, but a
    single file system for the whole media, usually termed USB-FDD by BIOSses)
    in probe-devs.sh. Thanks to Tony Mancill for figuring that out.

 -- Rene Mayrhofer <rene.mayrhofer@gibraltar.at>  Tue, 19 Apr 2005 14:39:30 +0200

gibraltar-bootcd (0.51) unstable; urgency=low

  * Really removed the insmod binary from the source package now - it's
    not in use anyway.
  * If discover doesn't detect any USB host controller, then brute-force probe
    the modules. This is not known to cause any issues (like the SCSI host
    controller probing that can easily hang the system), it will just delay
    bootup on systems that actually don't have any USB host controller a bit.
  * gibraltar-bootsupport: Fix the patchme script so that permissions are set
    correctly when using delta files.
  * mkinitrd-cd: Add wc, head and yes to mkinitrd-cd.conf, since they are used
    by the initrd script now.

 -- Rene Mayrhofer <rene.mayrhofer@gibraltar.at>  Wed, 23 Mar 2005 10:18:39 +0100

gibraltar-bootcd (0.50) unstable; urgency=low

  * Include the Debian package source for curl, expat, discover and
    coreutils (which are used for buidling the binary package mkinitrd-cd).
    I am still not happy with that solution because it wastes bandwith and
    storage space for all Debian mirrors, but I agree with Goswin that source
    updates are a problem that can lead to DFSG conflicts. If anybody has an
    idea on how to solve this without duplicating source packages in this
    source package, please drop me a hint.
    Closes: #291600: FTBFS: Attempts to use 'apt-get source'
  * gibraltar-bootsupport: Fix a small bug in common-definitions.sh which 
    caused a (cosmetical) error during shutdown.
  * mkinitrd-cd: Compile busybox during package build and ship it with 
    mkinitrd-cd. This makes the mkinitrd-cd script a lot faster and should not
    need to be modified anyways.
  * mkinitrd-cd: Make it work with kernel 2.6. Necessary changes were:
    - also look for *.ko in addition to *.o
    - some module names have been changed, namely
    Closes: #288295: mkinitrd-cd: no support for 2.6 kernel objects
  * mkinitrd-cd: Introduce a config file /etc/mkinitrd-cd/mkinitrd-cd.conf
    with config options that could possible by modified. This file is also
    source during package build, as it contains the busybox modules to build
    (and install in the initrd image during the mkinitrd-cd run).
  * Move architecture-dependent files from /usr/share/mkinitrd-cd to
    /usr/lib/mkinitrd-cd, as demanded by FHS. These are the discover, paste
    and busybox binaries that are built during the package building.
  * Copy only *.xml files for discover and skip the *.lst files - they are 
    only needed to create the *.xml files, but not during usage.
  Thanks to Thomas Lange for suggesting a few of the above changes!

 -- Rene Mayrhofer <rene.mayrhofer@gibraltar.at>  Sat,  5 Mar 2005 22:21:26 +0100

gibraltar-bootcd (0.41) unstable; urgency=low

  * gibraltar-bootsupport: Add a script to detect if a network adapter that is 
    specified in /etc/network/interfaces by its MAC address could not be 
    found during bootup and try to use another one.
  * gibraltar-bootsupport: Make the 00network-cards auto-setup script a bit 
    smarter by not adding the same kernel module twice to /etc/modules and 
    skipping the modprobing if it has already been loaded.

 -- Rene Mayrhofer <rene@mayrhofer.eu.org>  Tue, 11 Jan 2005 21:38:57 +0100
