## gibraltar-bootcd 0.55

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,8 @@
 #	$(CC) $(CFLAGS) -o linuxrc linuxrc.c
 
 freeramdisk: freeramdisk.c
-	$(CC) $(CFLAGS) -static -o freeramdisk freeramdisk.c
+#	$(CC) $(CFLAGS) -static -o freeramdisk freeramdisk.c
+	$(CC) $(CFLAGS) -o freeramdisk freeramdisk.c
 
 #listpci: listpci.c $(KUDZU_PATH)/libkudzu_loader.a 
 #	$(CC) $(CFLAGS) $(LDFLAGS) -D__LOADER \
