=== debian/changelog ===
gibraltar-bootcd (0.55) unstable; urgency=low

  * Change priority back to optional, since this is what the override
    file states right now.

 -- Rene Mayrhofer <rene.mayrhofer@gibraltar.at>  Mon, 26 Dec 2005 14:29:22 +0000

gibraltar-bootcd (0.54) unstable; urgency=low

  * Just recompiled from subversion repository, but now removed the
    svn:eol-style property of mkinitrd-cd/initrd-dev.tar.gz. This seems
    to have been set initially by svn-inject (in an incorrect manner)
    and cause problems with broken initrd-dev.tar.gz files in the
    created binary packages.
    Thanks to Andy Chittenden for notifying me of this problem.

 -- Rene Mayrhofer <rene.mayrhofer@gibraltar.at>  Mon, 26 Dec 2005 13:40:05 +0000

gibraltar-bootcd (0.53) unstable; urgency=low

  * Also support squashfs images from USB/CF media in addition to the older
    cramfs images. squashfs has a better compression and thus produces smaller
    images and does not have the restriction to roughly 256 MB of uncompressed
    file system size.
  * Support (nearly atomic) update of the USB/CF image with a single reboot
    and option for fallback. This should make failed "firmware" upgrades 
    (nearly) impossible.
  * Changed the old serial port speed of 9600 to a more contemporary
    38400.
  * Change priority from optional to extra to match the override file.
  * mkinitrd-cd: Use the word matching option to grep when trying to figure
    out if a kernel module should be copied or not. This fixed the useless 
    copying of some otherwise useless modules (e.g. "st").
  * gibraltar-bootsupport: Also deal with interface names ath* in 
    setup.d/01set-ip-addresses (these are used by the madwifi driver).
  * gibraltar-bootsupport: Updated var-defaults.tar.gz again.
  * mkinitrd-cd: Rise the RAM disk size in syslinux.cfg from 4096 to 4608 kB
    to provide more space for the (now larger) initrd images.
  * mkinitrd-cd: Add more aliases to syslinux.cfg for various appliances and
    the different stages of failed update attempts.
  * gibraltar-bootsupport: Depend on iputils-arping, which is needed for 
    checking for IP address conflicts upon first bootup.
  * gibraltar-bootsupport: Depend on xdelta, which is needed for the patching
    scripts.
  * Implement beepconsole with the beep utility even if we are not running on
    a Linux console (but e.g. over serial). This is necessary for appliances
    with serial console to beep during bootup.
  * gibraltar-bootsupport: Add new utilities status-led and lan-bypass to 
    control hardware features of the iBASE FWA7204 appliance. Also include a
    binary for checking if it is running on an iBASE appliance: check-ibase.
  * gibraltar-bootsupport: Add a new setup.d script for configuring kernel
    modules for the iBASE appliance: modules-ibase.
  * gibraltar-bootsupport: Use /etc/iftab now for renaming interfaces 
    instead of /etc/network/interfaces. This avoids problems with interface
    order, e.g. when using bridge interfaces.
  * mkinitrd-cd: Don't include the discover binary in the "min" initrd images
    (intended for 1.44 MB floppies) anymore. It just doesn't fit with newer
    kernels.
  * mkinitrd-cd: Depend on discover1-data | discover-data now, since the
    package has been renamed for unstable.
    Closes: #339859: gibraltar-bootcd: FTBFS: C compiler cannot create 
                     executables /
  * mkinitrd-cd: Fix the regular expression for extracting the module name
    from the file name (and consequently to check if it needs to be copied to
    the initrd image). Thanks to Andy Chittenden from BlueArc for finding 
    that issue.
  * mkinitrd-cd: Add the isofs module to IDE_CD_MODS and SCSI_CD_MODS in
    probe-devs.sh and cdboot_required_modules in mkinitrd-cd.conf. This makes
    booting from CD work when the iso9660 filesystem has been compiled as a 
    module (like for the default Debian kernels) instead of statically. Again
    thanks to Andy Chittenden from BlueArc for pointing that out.
  * mkinitrd-cd: Fix the shell globbing to be able to deal with an empty list
    of copied modules (e.g. when the kernel has been statically linked with
    all required drivers). Thanks to Berk Akinci from Sun for spotting this
    problem and suggesting the elegant fix of using "shopt -s nullglob".
  * gibraltar-bootcd: Fixed saving the configuration data to the same image
    that was used for booting the system. The problem was that, when the media
    was already mounted, it did not get remounted even when it was originally
    mounted with option "ro". Now, when saving to an already mounted 
    partition, it is remounted rw before and again ro after saving the
    configuration so that this special case will work.

 -- Rene Mayrhofer <rene.mayrhofer@gibraltar.at>  Mon, 05 Dec 2005 23:21:50 +0000
