=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: mkinitrd-cd
 Architecture: i386
-Depends: ${shlibs:Depends}, dosfstools, mtools, syslinux (>= 2.00-1), makedev, gcc, make, discover-data, uclibc-toolchain (>= 0.9.26-1), libuclibc-dev (>= 0.9.26-1)
+Depends: ${shlibs:Depends}, dosfstools, mtools, syslinux (>= 2.00-1), makedev, gcc, make, discover1-data | discover-data, uclibc-toolchain (>= 0.9.26-1), libuclibc-dev (>= 0.9.26-1)
 Recommends: mkisofs
 Description: Creates an initrd image for booting from a live CD-ROM or USB device
  This is the package used by the Gibraltar project to create the initrd images
@@ -33,7 +33,7 @@
 
 Package: gibraltar-bootsupport
 Architecture: i386
-Depends: ${shlibs:Depends}, beep, file-rc, setcd, discover (>= 2.0.0-1), discover-data
+Depends: ${shlibs:Depends}, beep, file-rc, setcd, discover (>= 2.0.0-1), discover-data, iputils-arping, xdelta
 Recommends: libsafe, logcheck
 Conflicts: loadlin
 Description: Boot support for Gibraltar live CD-ROM
