=== debian/rules ===
--- 
+++ 
@@ -32,6 +32,8 @@
 	INSTALL_PATH=$(topdir)/debian/tmp-build/ $(topdir)/build-busybox )
 	# now build the freeramdisk binary
 	$(MAKE) freeramdisk
+	# and the appliance binaries
+	$(MAKE) -C gibraltar-bootsupport/appliance/ all
 
 	touch build-stamp
 
@@ -42,6 +44,7 @@
 
 	# Add here commands to clean up after the build process.
 	-$(MAKE) clean
+	-$(MAKE) -C gibraltar-bootsupport/appliance/ clean
 	rm -rf $(topdir)/debian/tmp-build
 
 	dh_clean
@@ -84,6 +87,7 @@
 	cp gibraltar-bootsupport/var-defaults.tar.gz $(topdir)/debian/gibraltar-bootsupport/system
 	install gibraltar-bootsupport/make-var-ramdisk $(topdir)/debian/gibraltar-bootsupport/system/etc-static/init.d/mountvar
 	install gibraltar-bootsupport/check-network-interfaces $(topdir)/debian/gibraltar-bootsupport/system/etc-static/init.d/
+	install gibraltar-bootsupport/update-finalize $(topdir)/debian/gibraltar-bootsupport/system/etc-static/init.d/
 	install gibraltar-bootsupport/save-etc $(topdir)/debian/gibraltar-bootsupport/sbin
 	install gibraltar-bootsupport/restore-etc $(topdir)/debian/gibraltar-bootsupport/sbin
 	install gibraltar-bootsupport/restore-etc-old $(topdir)/debian/gibraltar-bootsupport/sbin
@@ -94,6 +98,12 @@
 	install gibraltar-bootsupport/patchme $(topdir)/debian/gibraltar-bootsupport/sbin
 	install gibraltar-bootsupport/patchall-local $(topdir)/debian/gibraltar-bootsupport/sbin
 	install gibraltar-bootsupport/patchall-online $(topdir)/debian/gibraltar-bootsupport/sbin
+	install gibraltar-bootsupport/update-system $(topdir)/debian/gibraltar-bootsupport/sbin
+	install gibraltar-bootsupport/update-rollback $(topdir)/debian/gibraltar-bootsupport/sbin
+	install gibraltar-bootsupport/update-removeold $(topdir)/debian/gibraltar-bootsupport/sbin
+	install gibraltar-bootsupport/appliance/status-led $(topdir)/debian/gibraltar-bootsupport/sbin
+	install gibraltar-bootsupport/appliance/lan-bypass $(topdir)/debian/gibraltar-bootsupport/sbin
+	install gibraltar-bootsupport/appliance/check-ibase $(topdir)/debian/gibraltar-bootsupport/sbin
 	install gibraltar-bootsupport/mail-file $(topdir)/debian/gibraltar-bootsupport/bin
 	install gibraltar-bootsupport/send-popup $(topdir)/debian/gibraltar-bootsupport/bin
 	install gibraltar-bootsupport/setup-unconfigured.sh $(topdir)/debian/gibraltar-bootsupport/system/etc-static/init.d
@@ -120,22 +130,3 @@
 	#ln -s /system/etc-static/gibraltar/version $(topdir)/debian/gibraltar-bootsupport/etc/gibraltar/
 
 
-# This single target is used to build all the packages, all at once, or
-# one at a time. So keep in mind: any options passed to commands here will
-# affect _all_ packages. Anything you want to only affect one package
-# should be put in another target, such as the install target.
-binary-common: build install
-	dh_testdir
-	dh_testroot
-#	dh_installdebconf
-	dh_installdocs
-#	dh_installexamples
-#	dh_installmenu
-#	dh_installemacsen
-#	dh_installpam
-#	dh_installinit -pgibraltar-bootsupport --no-restart-on-upgrade \
-#		--init-script=prepareroot -- prepareroot start 01 S .
-#	dh_installinit -pgibraltar-bootsupport --no-restart-on-upgrade \
-#		--init-script=save-etc-disk -- prepareroot start 39 0 6 .
-#	dh_installinit -pgibraltar-bootsupport --no-restart-on-upgrade \
-#		--init-script=setup-unconfigured.sh -- prepareroot start 70 S .
